Description: Due to how we build we need to have conditionals there
Author: Peter Van Eynde <pvaneynd@debian.org>
Forwarded: not needed


--- cmucl.orig/src/pcl/gray-streams-class.lisp
+++ cmucl/src/pcl/gray-streams-class.lisp
@@ -51,12 +51,12 @@
 
 
 ;;; Example character input and output streams.
-
+#+gray-stream-examples
 (defclass character-output-stream (fundamental-character-output-stream)
   ((lisp-stream
     :initarg :lisp-stream
     :accessor character-output-stream-lisp-stream)))
-
+#+gray-stream-examples
 (defclass character-input-stream (fundamental-character-input-stream)
   ((lisp-stream
     :initarg :lisp-stream
--- cmucl.orig/src/pcl/gray-streams.lisp
+++ cmucl/src/pcl/gray-streams.lisp
@@ -368,65 +368,84 @@
 
 
 ;;; Example character output stream encapsulating a lisp-stream.
+#+gray-stream-examples
 (defun make-character-output-stream (lisp-stream)
   (declare (type lisp-stream lisp-stream))
   (make-instance 'character-output-stream :lisp-stream lisp-stream))
 
+#+gray-stream-examples
 (defmethod open-stream-p ((stream character-output-stream))
   (open-stream-p (character-output-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod close ((stream character-output-stream) &key abort)
   (close (character-output-stream-lisp-stream stream) :abort abort))
 
+#+gray-stream-examples
 (defmethod input-stream-p ((stream character-output-stream))
   (input-stream-p (character-output-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod output-stream-p ((stream character-output-stream))
   (output-stream-p (character-output-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-write-char ((stream character-output-stream) character)
   (write-char character (character-output-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-line-column ((stream character-output-stream))
   (charpos (character-output-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-line-length ((stream character-output-stream))
   (line-length (character-output-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-finish-output ((stream character-output-stream))
   (finish-output (character-output-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-force-output ((stream character-output-stream))
   (force-output (character-output-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-clear-output ((stream character-output-stream))
   (clear-output (character-output-stream-lisp-stream stream)))
 
 
 ;;; Example character input stream encapsulating a lisp-stream.
 
+#+gray-stream-examples
 (defun make-character-input-stream (lisp-stream)
   (declare (type lisp-stream lisp-stream))
   (make-instance 'character-input-stream :lisp-stream lisp-stream))
 
+#+gray-stream-examples
 (defmethod open-stream-p ((stream character-input-stream))
   (open-stream-p (character-input-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod close ((stream character-input-stream) &key abort)
   (close (character-input-stream-lisp-stream stream) :abort abort))
 
+#+gray-stream-examples
 (defmethod input-stream-p ((stream character-input-stream))
   (input-stream-p (character-input-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod output-stream-p ((stream character-input-stream))
   (output-stream-p (character-input-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-read-char ((stream character-input-stream))
   (read-char (character-input-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-unread-char ((stream character-input-stream) character)
   (unread-char character (character-input-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-read-char-no-hang ((stream character-input-stream))
   (read-char-no-hang (character-input-stream-lisp-stream stream) nil :eof))
 
@@ -438,6 +457,7 @@
 (defmethod stream-listen ((stream character-input-stream))
   (listen (character-input-stream-lisp-stream stream)))
 
+#+gray-stream-examples
 (defmethod stream-clear-input ((stream character-input-stream))
   (clear-input (character-input-stream-lisp-stream stream)))
 
